
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python 进阶_OOP 面向对象编程_类属性和方法 / iVAN</title>

    <meta name="description" content="Python 进阶_OOP 面向对象编程_类属性和方法 目录 目录 类属性 调用类属性 查看类属性 特殊的类属性 类方法 真构造器 __new__ 类属性 在理解类属性之前要先搞清楚 实例属性 和 函数属性 之间的区别: 1. 实例属性:指的是实例化类对象的属性,需要在类中使用 self 关键字来将其和实例化对象绑定的属性. 2. 函数属性:指的是定义在函数体内的属性,其可以是实例属性,也可以是类属性. 3. 类属性:是一个与实例无关的属性,比起实例属性而言,它更加的 静态,当定义在类方法中时,并不会因为方法调用的完毕而被回收.类属性,在类定义中直接">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python 进阶_OOP 面向对象编程_类属性和方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>目录</h1>
<ul>
<li>目录</li>
<li>类属性
<ul>
<li>调用类属性</li>
<li>查看类属性</li>
<li>特殊的类属性</li>
</ul>
</li>
<li>类方法
<ul>
<li>真构造器 __new__</li>
</ul>
</li>
</ul>
<h1>类属性</h1>
<p>在理解类属性之前要先搞清楚 <em>实例属性</em> 和 <em>函数属性</em> 之间的区别： <br />
1. 实例属性：指的是实例化类对象的属性，需要在类中使用 self 关键字来将其和实例化对象绑定的属性。 <br />
2. 函数属性：指的是定义在函数体内的属性，其可以是实例属性，也可以是类属性。 <br />
3. 类属性：是一个与实例无关的属性，比起实例属性而言，它更加的 <em>静态</em>，当定义在类方法中时，并不会因为方法调用的完毕而被回收。类属性，在类定义中直接指定，无须 self 关键字，所以也只能在类中使用。所以类属性只能通过类的成员方法或类调用来更新。</p>
<p><strong>静态</strong>：表示一个对所有实例而言都是相对固定的值</p>
<p><strong>NOTE</strong>：类属型也称之为 <em>静态属性</em>，当我们定义一个类静态属性时，无须实例化对象，直接可以通过类来调用该属性，直到这个类被回收为止。如果在 Java 中，你需要使用 static 来指定。当然类的实例化对象也可以通过句点标识符来调用和更改，但此时的更改并不会影响原来的类静态属性。</p>
<p><strong>EXAMPLE</strong>:</p>
<pre><code>In [48]: class AClass(object):
    ...:     LOG = 'Define a class'
    ...:

In [49]: AClass.LOG
Out[49]: 'Define a class'

In [50]: a_object = AClass()

In [51]: a_object.LOG
Out[51]: 'Define a class'

In [52]: a_object.LOG = 'Call the static attribute.'

In [53]: a_object.LOG
Out[53]: 'Call the static attribute.'

In [54]: AClass.LOG
Out[54]: 'Define a class'</code></pre>
<p><strong>通过这个例子可以看出类属性的调用可以完全无需实例化一个类对象。</strong></p>
<h2>调用类属性</h2>
<p><strong>注意</strong>：在类定义的函数体中调用类属性，需要通过 <em>类名结合句点标识符</em> 的方式来调用，否则会出发 NameError</p>
<pre><code>In [93]: class AClass(object):
    ...:     LOG = 'Define a class'
    ...:     def my_func(self):
    ...:         print ''.join(['log: ', AClass.LOG])
  # 函数体中
    ...:     print ''.join(['log is: ', LOG])
  # 类体中
    ...:
    ...:
log is: Define a class

In [91]: a_object = AClass()

In [92]: a_object.my_func()
log: Define a class</code></pre>
<h2>查看类属性</h2>
<p>Python 为此提供了两个方法：</p>
<ul>
<li><strong>通过 dir() 来查看类属性</strong></li>
</ul>
<pre><code>In [55]: dir(AClass)
Out[55]:
['LOG',
 '__class__',
 '__delattr__',
 '__dict__',
 '__doc__',
 '__format__',
 '__getattribute__',
 '__hash__',
 '__init__',
 '__module__',
 '__new__',
 '__reduce__',
 '__reduce_ex__',
 '__repr__',
 '__setattr__',
 '__sizeof__',
 '__str__',
 '__subclasshook__',
 '__weakref__']</code></pre>
<ul>
<li><code>class.__dict__</code> 来查看类属性，等效于<strong><code>vars(AClass)</code></strong></li>
</ul>
<pre><code>In [83]: AClass.__dict__
Out[83]:
dict_proxy({'LOG': 'Define a class',
            '__dict__': &lt;attribute '__dict__' of 'AClass' objects&gt;,
            '__doc__': None,
            '__module__': '__main__',
            '__weakref__': &lt;attribute '__weakref__' of 'AClass' objects&gt;})</code></pre>
<p><strong>两者的区别在于</strong>：前者仅能查看类属性的列表，后者可以查看类属性的键值对字典。</p>
<h2>特殊的类属性</h2>
<p>从上述的例子可以看出类中处理我们定义的 LOG 属性之外还有很多以双下划线 “__” 开头和结尾的属性，这些属性都是 Python 的特殊属性。</p>
<table>
<thead>
<tr>
<th>特殊属性</th>
<th>作用</th>
</tr>
</thead>
<tbody>
<tr>
<td>C.<strong>name</strong>
</td>
<td>类的名字(String)</td>
</tr>
<tr>
<td>C.<strong>doc</strong>
</td>
<td>类的文档(String)</td>
</tr>
<tr>
<td>C.<strong>bases</strong>
</td>
<td>子类的父类元组(Tuple)</td>
</tr>
<tr>
<td>C.<strong>dict</strong>
</td>
<td>类的属性字典(Dict)</td>
</tr>
<tr>
<td>C.<strong>module</strong>
</td>
<td>类所有的模块名称</td>
</tr>
<tr>
<td>instance.<strong>class</strong>
</td>
<td>类实例对象的类名称</td>
</tr>
</tbody>
</table>
<p><strong>NOTE</strong>：其中 <code>__dict__</code> 是一个包含了类属性的字典，方 Python 解析器访问一个类属性时，就会在这个字典中搜索。如果在该类的字典中没有搜索到，那么就会到该类的父类的属性字典中搜索。这样的话就能够将不同类之间的属性名隔离开来，在子类中对属性字典的修改并不会影响到父类的属性字典。</p>
<h1>类方法</h1>
<p><strong>类方法就最基本的特征就是需要传递一个 class 对象作为方式的实参。</strong></p>
<h2>真·构造器 __new__()</h2>
<p>与 <code>__init__()</code> 相比 <code>__new__()</code> 才是真正的构造器，实际上，在 Python 解析器中是先调用了 <code>__new__()</code> 生成一个实例，再将该实例对象传入 <code>__init__()</code> 实现初始化操作。但 <code>__new__()</code> 很少需要我们去重载，一般只有在派生了不可变类型的子类后需要重载，EG. 派生 String/Int/Tuple 等</p>
<p><strong>为什么说 <code>__new__()</code> 是真·构造器呢？</strong> <br />
因为这个特殊的类方法是真的返回了一个类的实例对象，而不像 <code>__init__()</code> 是传入了一个实例化对象。</p>
<p><strong>EXAMPLE</strong>：不可表类型的派生</p>
<pre><code>class RoundFloat(float):
    def __new__(cls, val):
        return float.__new__(cls, round(val, 2)) #因为 __new__ 是一个类方法，所以我们要显式的传递一个类对象</code></pre>
<p>类 RoundFloat 是类 float 的子类，我们通过重载父类的 <code>__new__()</code> 构造器来定制一个新的不可变类型(Python 2.2之后将类和类型统一了，所以可以继承 Python 的内置数据类型)。当实例化 RoundFloat 的对象时，实际上是实例化了Python 内置数据类型 Float 的对象，并对这个对象做了一些定制化的操作(round(val, 2))。 <br /><strong>NOTE</strong>：即便我们也可以通过重载 <code>__init__()</code> 来实现这个结果，但这里却不能这么做。因为如果 <code>__new__()</code> 没有被重载的话，<strong>仍会默认调用父类 Float 的构造器，创建 Float 类型的对象，而不是创建现在的 RoundFloat 类型对象。</strong>这也是两者的本质区别。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 01:26:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1%e7%bc%96%e7%a8%8b/" title="面向对象编程">面向对象编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python 进阶_OOP 面向对象编程_类属性和方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6N7eoM.html" rel="bookmark">Python 进阶&lowbar;OOP 面向对象编程&lowbar;实例属性和方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 构造器和解构器 构造器 __init__ 真构造器 __new__ 解构器 __del__ 实例方法 Python 中的 抽象方法 实例属性 查看实例属性 实例属性和类属性的区别 访问不可变类属性 访问可变类属性 构造器和解构器 构造器 __init__() 类函数 __init__() 是 Python 类中预定义的方法,需要被重载才会生效.以双下划线 &quot;__&quot; 开头和结尾, 在 Python 中使用这种命名方式的方法会被理解为是一种特殊方法, Python 的特殊方法功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLwm8M.html" rel="bookmark">Python 进阶&lowbar;OOP 面向对象编程&lowbar;类和继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 类 最简单的类 类方法 构造器 __init__ 创建一个类 实例化一个对象 调用实例的方法和属性 创建子类 使用 super 来调用父类的构造器 实例化子类对象 调用子类的属性和方法 类属性方法的命名规则 类 类是实例的抽象, 实例是类的具体化. Python 中的类分为 经典类 和 新式类. 前者现在已经很少用到了, 其特点就是可以不需要继承任何父类:后者则刚好相反, 形式类必须至少有一个父类, 如果没有特定的父类需要继承时, 至少需要继承基类 object, 在后面给出例子.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myv3yPp.html" rel="bookmark">Python 进阶&lowbar;OOP 面向对象编程&lowbar;组合与继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#目录 前言 组合 派生 通过继承来覆盖重载方法 最常用的重载场景实例方法的重载 从标准类中派生类方法的重载 前言 我们定义一个类是希望能够把类当成模块来使用,并把类嵌入到我们的应用代码中,与其他的数据类型.逻辑执行流结合使用.一般来说我们可以使用两种方法在代码中利用类,那就是组合和派生. 组合 组合: 就是将不同的类混合并加入到其他类中,来 增加类的功能 / 提高代码的重用性 / 易于维护(对类的修改会直接反应到整个应用中) .我们可以实例化一个更大的对象,同时还可以添加一些实例属性和实例方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boOR0jb.html" rel="bookmark">Python 进阶&lowbar;OOP 面向对象编程&lowbar;静态方法和类方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 静态方法 类方法 使用函数修饰符来声明静态方法和类方法 静态方法 静态方法仅是类中的函数, 不需要绑定实例, 也就是说静态方法的定义不需要传入 self 参数. 静态方法不属于类的某一个实例对象, 而是属于类本身, 所以不需要绑定到实例对象. 可以通过 className.staticMethodName 的方式来调用. 特点: 只能使用静态变量, 所以始终占用同一个内存, 执行效率更高, 但不会被自动回收. 应用场景: 用于处理一些不会经常改变, 但却会被频繁调用的数据. EG:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDXVYOz.html" rel="bookmark">Python 进阶&lowbar;OOP 面向对象编程&lowbar;self 的实例绑定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 self 和绑定 调用非绑定的方法 self 和绑定 在 Python 中 self 变量是特殊的, 其用于在实例方法中引用该方法所绑定的实例, 换句话说就是 Python 在实例化对象时会自动的将实例对象传递到类体的 self 变量中, 类体中的 self 变量代表了该类的实例对象. 实例方法无论在任何地方被调用, 实例对象总是作为第一个参数被传递进去, 从而实现了实例对象和实例方法的绑定, 这也是为什么同一个类可以实例化多个不同的实例化对象的原因之一. 所以, 当我们定义类实例方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEl1rLz.html" rel="bookmark">php面向对象中static静态属性与方法的内存位置分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了php面向对象中static静态属性与方法的内存位置,通过内存位置实例分析了static静态属性的原理与使用技巧,需要的朋友可以参考下     本文实例分析了php面向对象中static静态属性与方法的内存位置.分享给大家供大家参考.具体如下: static静态属性的内存位置--&gt;类,而不是对象.下面做测试来证明一下 ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 &lt;?php header(&quot;content-type:tex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWjBvz.html" rel="bookmark">python打开文件并获取文件相关属性的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python打开文件并获取文件相关属性的方法.分享给大家供大家参考.具体分析如下: 下面的代码通过open函数打开文件,并输出文件名.打开状态.打开模式等属性 #!/usr/bin/python # Open a file fo = open(&quot;foo.txt&quot;, &quot;wb&quot;) print &quot;Name of the file: &quot;, fo.name print &quot;Closed or not : &quot;, fo.clos			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK01xOM.html" rel="bookmark">php面向对象中static静态属性与方法的内存位置分析&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了php面向对象中static静态属性与方法的内存位置.分享给大家供大家参考.具体如下: static静态属性的内存位置--&gt;类,而不是对象.下面做测试来证明一下 &lt;?php header(&quot;content-type:text/html;charset=utf-8&quot;); class Human{ static public $name = &quot;小妹&quot;; public $height; public function tell(){ } } ec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baEoyPb.html" rel="bookmark">javascript面向对象之共享成员属性与方法及prototype关键字用法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了javascript面向对象之共享成员属性与方法及prototype关键字用法.分享给大家供大家参考.具体如下: 共享成员属性与方法,使用prototype关键词 复制代码 代码如下: &lt;script language=&quot;javascript&quot; type=&quot;text/javascript&quot;&gt; function Dog(){} Dog.prototype.shout=function(){  alert(&quot;hello,小狗&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZErkp.html" rel="bookmark" class="title">360极速浏览器自定义设置</a>
					<div>
						  浏览器安装完毕后,您可以花点时间调整自己的浏览器偏好设置,这样就可以最得心应手地使用了.        导入浏览器设置 如果您尚未进行此项操作,则可以从 Firefox 或 Internet Ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrdmOz.html" rel="bookmark" class="title">Photoshop打造小清新的淡黄色秋季铁轨美女图片</a>
					<div>
						素材图片主色为背景部分的绿色.调色的时候直接把绿色转为较淡的黄褐色:然后给暗部增加一点蓝色,中间调部分增加暖色:再给边角部分渲染一些高光即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmg13b.html" rel="bookmark" class="title">ASPUpload上传的实现代码（测试通过）4</a>
					<div>
						aspupload|上传 uploadfile.asp&lt;!--#include file='fileconfig.asp'--&gt;&lt;!doctype html public &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOvE3p.html" rel="bookmark" class="title">Yii获取最小可用ID</a>
					<div>
						编者注:本文已获原创加分,请作者继续努力! 最近使用Yii做东西.Mysql数据表使用了自增ID,这样用起来很方便,但也有一个我不希望出现的现象:假设有10条记录,1,2,3,4,5,6,7,8,9, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AOQWp.html" rel="bookmark" class="title">C语言基础教程（二）数据类型、变量和运算符&lpar;5&rpar;</a>
					<div>
						2 关键字和标识符 3.1 关键字 所谓关键字就是已被Turbo C2.0本身使用, 不能作其它用途使用的字.例如关键字不能用作变量名.函数名等. Turbo C2.0有以下关键字: Turbo C2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAK2Bb.html" rel="bookmark" class="title">理解Delphi的类&lpar;二&rpar;</a>
					<div>
						说到&quot;类&quot;, 就会提到: 属性.方法.事件 (这是类包含的内容); 封装.继承.多态 (这是类的主要用途). 下面定义并调用了了一个过程 MyProc.一个函数 MyFun. un ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnA9Vz.html" rel="bookmark" class="title">ie与火狐中常见的兼容问题</a>
					<div>
						1. document.form.item 问题 (1)现有问题: 现有代码中存在许多 document.formName.item(&quot;itemName&quot;) 这样的语句,不能在Fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6o5jz.html" rel="bookmark" class="title">Windows7电脑蓝屏代码大全</a>
					<div>
						一.蓝屏含义 1.故障检查信息 ***STOP 0x0000001E(0xC0000005,0xFDE38AF9,0x0000001,0x7E8B0EB4) KMODE_EXCEPTION_NOT_H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7XX6b.html" rel="bookmark" class="title">php中return的用法实例分析</a>
					<div>
						 这篇文章主要介绍了php中return的用法,实例分析了php中return的功能及常见的使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php中return的用法.分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62XdAM.html" rel="bookmark" class="title">注册表编辑器怎么打开</a>
					<div>
						&quot;注册表编辑器怎么打开&quot;虽说不是很难的问题,但是对于对电脑常识不是很擅长的网民来说,当电脑出现问题或需要更改设置时,着实还是件头疼的问 题.因为需要打开注册表进行操作解决.那么如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7L28M.html" rel="bookmark" class="title">普通UI设计师与顶级UI设计师的区别是什么？</a>
					<div>
						  我不是顶级设计师(我甚至不知道什么才叫顶级),即使见过的一些顶级(知名or优秀)设计师也因为交流不深入,无法评价.但是我勉强可以回答优秀的设计师,和普通的设计师(其实我觉得大部分的普通设计师只是认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaoKLz.html" rel="bookmark" class="title">Win7系统E盘拒绝访问怎么解决</a>
					<div>
						  相信大家在工作中或者在生活中,应该都有遇到过这么一个问题.那就是你要打开一个硬盘的时候,发现打不开,提示无权限或拒绝访问,而且硬盘的容量也显示不了.使用Win7系统的用户,也遇到这样的问题,他打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3XB8M.html" rel="bookmark" class="title">联想B460笔记本怎么拆机换风扇清灰&quest;</a>
					<div>
						  今天给大家分享一下联想B460拆机换风扇清灰全过程(联想系列中比较难拆的了)!在一个在拆除过程中,一定要注意静电防止对主板造成损害. 1.先上大图,准备拆机 2.用&quot;一&quot;字口小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjL6Qp.html" rel="bookmark" class="title">运筹学基础 总结</a>
					<div>
						       运筹学(Operations Research,简称OR)是一门研究如何让有效地组织和管理人机系统的科学.在一个复杂的人机系统中,涉及到大量人力和其它资源的统筹组织安排,运筹学应用分析的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamxoQb.html" rel="bookmark" class="title">Nginx学习总结&lpar;1&rpar;：Nginx简介</a>
					<div>
						(最近,部门组织了好几个技术兴趣小组,对当前的热门技术进行研究.我加入了Nginx学习小组,与几个同事一道围绕Nginx来进行研究和学习.从今天起,我会陆陆续续发一系列有关Nginx的学习总结.本文是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YyRoM.html" rel="bookmark" class="title">【高招HR课堂】招聘不是事儿，招技术人才是事儿</a>
					<div>
						6月24日由51CTO高招主办的&quot;高招HR课堂--揭秘技术人才招聘&quot;的分享活动上,51CTO人才业务部总监邵燕.优才学院CEO伍星及云适配HRD郭妮,从了解技术.筛选简历.面试技巧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40wjLz.html" rel="bookmark" class="title">LDD3学习笔记（1）：设备驱动简介</a>
					<div>
						 1.几乎每个系统操作都被映射到具体的物理设备上,而任何设备的控制操作都由特定于要寻址的相关代码来进行,这些代码成为设备驱动. 2.linux可以在运行时扩展由内核提供的特性,既可以在系统运行时增加内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z403oPz.html" rel="bookmark" class="title">编程-为什么派生类的指针指向基类对象 还可以调用派生类的函数？</a>
					<div>
						问题描述 为什么派生类的指针指向基类对象 还可以调用派生类的函数? 想不明白啊,高手帮帮忙吧 Derived1 * hh = static_cast(new Base); hh-&gt;derived ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5yolM.html" rel="bookmark" class="title">IT经理世界&colon;云管理，一身轻</a>
					<div>
						与传统大型软件公司相比,像北森测评这类的小型软件公司在云计算时代能够更灵活地调整,快速地实现从产品和业务模式到组织内部管理的全面转型. 在北森测评技术有限公司位于北京上地的研发办公室里,热闹的讨论声音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJADXDp.html" rel="bookmark" class="title">UIKit 框架之WebView</a>
					<div>
						// // ViewController.m // UIWebView // // Created by City--Online on 15/5/18. // Copyright (c) 2015年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkKomM.html" rel="bookmark" class="title">初学编程语言 C&num;痴汉   相同类（引用类）中2个实例相互赋值，有什么实际意义或用途？ 求路过的痴汉指点一下，谢谢</a>
					<div>
						问题描述 初学编程语言C#痴汉相同类(引用类)中2个实例赋值,有什么实际意义或用途?求路过的痴汉指点一下,谢谢publicclassProgram{staticvoidMain(string[]arg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xn34b.html" rel="bookmark" class="title">EWS 如何和获取邮件附件连接</a>
					<div>
						问题描述 EWS如何和获取邮件附件连接求有经验的大大们告诉下如何获取邮件附件的连接来下载附件. 解决方案 本帖最后由 wkang201 于 2013-11-19 11:33:19 编辑解决方案二:邮件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjDRQM.html" rel="bookmark" class="title">张高兴的 Windows 10 IoT 开发笔记：HC-SR04 超声波测距模块</a>
					<div>
						原文:张高兴的 Windows 10 IoT 开发笔记:HC-SR04 超声波测距模块 HC-SR04 采用 IO 触发测距.下面介绍一下其在 Windows 10 IoT Core 环境下的用法.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBRWNM.html" rel="bookmark" class="title">何晟铭首次回应包养传闻：她只是有点钱&lpar;图&rpar;</a>
					<div>
						何晟铭做客&lt;最佳现场&gt; 何晟铭回应传闻 何晟铭独照 何晟铭与谢楠合照 新浪娱乐讯 近日,前&quot;中国力量成员&quot;.热播电视剧&lt;宫&gt;主角之一的何晟铭到访国内访谈节目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWL5mM.html" rel="bookmark" class="title">springcloud&lpar;五&rpar;：熔断监控Hystrix Dashboard和Turbine</a>
					<div>
						Hystrix-dashboard是一款针对Hystrix进行实时监控的工具,通过Hystrix Dashboard我们可以在直观地看到各Hystrix Command的请求响应时间, 请求成功率等数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodwqjM.html" rel="bookmark" class="title">乐基儿小腹微凸被指怀孕经纪人称不了解情况</a>
					<div>
						周刊刊出乐基儿上周一逛街购物的图,腹部看似微凸 南都讯 记者朱燕霞 黎明与乐基儿结婚两年多,黎太屡次被传怀有身孕但全部作假.香港最新一期&lt;快周刊&gt;又再传出乐基儿怀孕两个月,并指黎明父亲得知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qwa6p.html" rel="bookmark" class="title">港交所与证监会就&OpenCurlyDoubleQuote;香港上市规定&rdquo;存在分歧</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯,9月27日晚间消息,根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWD4kz.html" rel="bookmark" class="title">Java内部类之间的闭包和回调详解&lowbar;java</a>
					<div>
						前言 闭包(closure)是一个可调用的对象,它记录了一些信息,这些信息来自于创建它的作用域.通过这个定义,可以看出内部类是面向对象的闭包,因为它不仅包含外围类对象(创建内部类的作用域)的信息,还自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NWxjp.html" rel="bookmark" class="title">在C&num;中如何从数据库中读取图片&comma;然后显示在网页的特定位置&quest;</a>
					<div>
						问题描述 在C#中如何从数据库中读取图片,然后显示在网页的特定位置?谢谢了! 解决方案 解决方案二:用google搜索asp.net数据库图片显示你会得到很多结果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkadWp.html" rel="bookmark" class="title">android  http-httpclient与HttpURLConnection有什么不同？</a>
					<div>
						问题描述 httpclient与HttpURLConnection有什么不同? httpclient与HttpURLConnection同样是都是访问百度首页,但是返回的源码却不一样, httpcli ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
